# File for module specific CMake tests.

include(AMDiSCXXFeatures)

# some additional packages and flags
find_package(MTL REQUIRED
             PATHS /usr/local/lib/mtl4 /opt/sources/mtl4 /opt/development/mtl4)

set(CXX_ELEVEN_FEATURE_LIST "MOVE" "AUTO" "RANGEDFOR" "INITLIST" "STATICASSERT" "DEFAULTIMPL")
set(MTL_COMPILE_DEFINITIONS "")
foreach(feature ${CXX_ELEVEN_FEATURE_LIST})
  list(APPEND MTL_COMPILE_DEFINITIONS "MTL_WITH_${feature}")
endforeach()

if(HAVE_UMFPACK OR ENABLE_SUITESPARSE OR SuiteSparse_FOUND)
  list(APPEND MTL_COMPILE_DEFINITIONS "MTL_HAS_UMFPACK")
endif()

dune_register_package_flags(
  COMPILE_DEFINITIONS ${MTL_COMPILE_DEFINITIONS}
  INCLUDE_DIRS ${MTL_INCLUDE_DIRS})
